bongo-admin(1)

NAME
bongo-admin — Bongo Administration Utility

SYNOPSIS

bongo-admin [options] COMMAND [command-options]

DESCRIPTION

This manual page documents briefly the bongo-manager command.

bongo-manager is a program to administrate the Bongo server.

OPTIONS

A summary of options is included below.

-h, --help
    Help. Display available commands.

-U AUTHUSER, --authuser=AUTHUSER
    Admin username. Defaults to admin.

-P AUTHPASS, --authpass=AUTHPASS
    Admin password.

-c CONTEXT, --context=CONTEXT
    MDB context.

--debug
    Enable debugging output.

AGENT COMMANDS

agent-delete, ad
    Delete a Bongo agent.

agent-info, ai
    List info for an agent.

agent-list, al
    List configured Bongo agents.

agent-modify, am
    Modify a Bongo agent.

OTHER COMMANDS

demo
    Create a demo user

SERVER COMMANDS

server-info, si
    List information about configured Bongo servers.

server-list, sl
    List configured Bongo servers.

SETUP COMMANDS

import
    Import a bongo-setup.xml tree.

setup-genschema
    Generate directory schema.

setup-mdb
    Configure an MDB tree.

setup-rights
    Grant access to Bongo services on the Bongo tree.

setup-ssl
    Generate or install an SSL key/cert pair.

setup-system-credential
    Generate Bongo system agent credential.

USER COMMANDS

user-add, ua
    Add a Bongo user.

user-delete, ud
    Delete a Bongo user.

user-info, ui
    Display information about a Bongo user.

user-list, ul
    List Bongo users.

user-modify, um
    Modify a Bongo user.

user-passwd, up
    Change a Bongo user's password.

SEE ALSO

bongo-setup(1), bongo-admin(1)

AUTHOR

This manual page was written by Jonny Lamb <jonnylamb@jonnylamb.com>.